## smooth smooth |

## Properties

gboolean | active | Read / Write
gint | filter-size | Read / Write
gboolean | luma-only | Read / Write
gint | tolerance | Read / Write

## Types and Values

struct | GstSmooth

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstSmooth

## Description

## Synopsis

### Element Information

plugin | smooth
author | Wim Taymans <wim.taymans@chello.be>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSmooth

    struct GstSmooth;

## Property Details

### The `“active”` property

      “active”                   gboolean

process video.

Flags: Read / Write

Default value: TRUE

### The `“filter-size”` property

      “filter-size”              gint

size of media filter.

Flags: Read / Write

Default value: 0

### The `“luma-only”` property

      “luma-only”                gboolean

only filter luma part.

Flags: Read / Write

Default value: TRUE

### The `“tolerance”` property

      “tolerance”                gint

contrast tolerance for smoothing.

Flags: Read / Write

Default value: 0